<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="net.sz600.online.*" %>
<%@ page import="net.sz600.tool.*" %>
<%@ page import="net.sz600.organize.SzLoginInfo" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.database.SzConn" %>
<%@ page import="net.sz600.system.SzPageHelp" %>
<%@ page import="net.sz600.organize.*" %>
<%@ page import="java.util.Map" %>
<%
  int iDLID_SESSION = SzConvert.toInt(request.getParameter("loginid"));
  int iCount = OlUserSession.getInstance().refresh(iDLID_SESSION); 
  
  //有消息，弹出提示窗口
  StringBuffer sb = new StringBuffer("");
  if (iCount > 0) {
      int iNewJSID = OlUserSession.getInstance().getNewMessageID(iDLID_SESSION);
      String sTitle = "";
      //取得标题
      if (iNewJSID > 0) {
        OlMessageControl messageControl = new OlMessageControl();
        OlMessageInfo messageInfo = (OlMessageInfo)messageControl.getInfoByKey(iNewJSID);
        if (messageInfo != null) {
	  sTitle = SzConvert.removeAlertLink(messageInfo.getFSBT()) + "[" + messageInfo.getFSSJ() + "]";
        }
      }

      sb.append("SzMessageYes");
      sb.append(iCount);
      sb.append("SzFirstJSID");
      sb.append(iNewJSID);
      sb.append("SzEnd");
      sb.append(sTitle);
      sb.append("SzTitleEnd");      
  }

  out.println(sb.toString());
  sb = null;

%>  
 



